/*=========================================================================

  Program:   wxMaracas
  Module:    $RCSfile: wxManualRegistration3D.h,v $
  Language:  C++
  Date:      $Date: 2009/05/14 13:54:57 $
  Version:   $Revision: 1.1 $

  Copyright: (c) 2002, 2003
  License:
  
     This software is distributed WITHOUT ANY WARRANTY; without even 
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
     PURPOSE.  See the above copyright notice for more information.

=========================================================================*/

#ifndef __WX__MANUAL__REGISTRATION__3D__HXX__
#define __WX__MANUAL__REGISTRATION__3D__HXX__

/*
#include <vector>

#include <vtkObjectBase.h>
#include <vtkCommand.h>
#include <vtkActor.h>
#include <vtkPoints.h>
#include <vtkPolyData.h>
#include <vtkPolyDataMapper.h>
#include <vtkProbeFilter.h>
#include <vtkPlaneSource.h> 
#include <vtkImageChangeInformation.h>
#include <vtkStructuredPoints.h> 
#include <vtkTransform.h> 
#include <vtkImageViewer2.h> 
#include <vtkBoxWidget.h>
*/
	     
/*
#include "kernel/marInterface.h"

#include "wxMPRBaseData.h"
#include "wxVtkBaseView.h"
*/

#include <vtkImageData.h> 

#include "wxMPRWidget.h"

#include <wx/panel.h>
#include <wx/notebook.h>


//------------------------------------------------------------------
//------------------------------------------------------------------
//------------------------------------------------------------------


class wxManualRegistration3D : public wxPanel
{
public:
    wxManualRegistration3D(wxWindow* parent,marImageData *marimageData);
	~wxManualRegistration3D( );

	void		ConfigureVTK();
	void		ConfigureVTK_B();

	void		RefreshView();
	void		OnRefreshView(wxCommandEvent & event);
	void		OnPositionRotation(wxScrollEvent& event);

	void		AddPanelControl_B( wxWindow *parent, marImageData *marimagedata);
	void		AddSecondVolume(marImageData *marimagedata);
	bool		GetIfSecondVolumeExist();
	void		OnTracking(wxCommandEvent& event);
	
	void		OnCutImagaData(wxCommandEvent &event);

private:

	vtkMPRBaseData						*_vtkmprbasedata_A;

	vtkTransform						*_transform;
	vtkTransform						*_transformBak;

	wxPanelCuttingImageData				*_panelCutting; 
	wxCheckBox							*_btnCutImageData;
	wxFrame								*_framePanelCutting; 

	double								xBak;
	double								yBak;
	double								zBak;
	wxSlider							*_posX;
	wxSlider							*_posY;
	wxSlider							*_posZ; 
	wxSlider							*_scaleX; 
	wxSlider							*_scaleY; 
	wxSlider							*_scaleZ; 
	wxSlider							*_angAlfa; 
	wxSlider							*_angBeta;
	wxSlider							*_angGama; 
	wxCheckBox							*_btnTrack;
	wxPanel								*_panelControl_B;
	marImageData						*_marimageData; 
//	vtkImageData						*_imageData_B; 
	wxVtk3DBaseView						*_wxvtk3Dbaseview_Clipping3D;
	wxVtkMPR3DView						*_wxvtkmpr3Dview_A;
	wxVtkClipping3DView					*_wxvtkclipping3Dview_A;
	wxVtkMPR3DView						*_wxvtkmpr3Dview_B;
	wxVtkClipping3DView					*_wxvtkclipping3Dview_B;

	wxPanel*	Create3DView( wxWindow *parent, vtkMPRBaseData *vtkmprbasedata);
	wxPanel*	CreateRegistration3DControl( wxWindow *parent, vtkMPRBaseData *vtkmprbasedata);

	DECLARE_EVENT_TABLE( );
};



#endif // __WX__MANUAL__REGISTRATION__3D__HXX__

// EOF - wxManualRegistration3D.h
