#ifndef manualContour3DControler_h
#define manualContour3DControler_h

#include "manualContourControler.h"
#include "manualView3DContour.h"

/// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------

class creaMaracasVisu_EXPORT manualContour3DControler:  public manualContourControler
{
public:
	manualContour3DControler();
	virtual ~manualContour3DControler();
	virtual manualContour3DControler * Clone();
	void CopyAttributesTo( manualContour3DControler *cloneObject );

	virtual bool OnLeftButtonDown(); 
	virtual bool OnChar(); 
	virtual void InsertPoint(int x, int y, int z);
	virtual void MouseClickLeft(int x, int y);
			void ResetOrientationPlane();

	vtkMPRBaseData	*GetVtkMPRBaseData();
			void	SetVtkMPRBaseData (vtkMPRBaseData *vtkmprbasedata );


protected:
private:
	vtkMPRBaseData *_vtkmprbasedata; 

};


#endif // manualContour3DControler_h
