#ifndef manualRoiControler_h
#define manualRoiControler_h

#include "manualContourControler.h"

// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------

class creaMaracasVisu_EXPORT manualRoiControler: public manualContourControler
{
public:
	manualRoiControler();
	virtual ~manualRoiControler();
	virtual manualRoiControler * Clone();
	void CopyAttributesTo( manualRoiControler *cloneObject );

	virtual void MouseClickLeft(int x, int y);
	virtual void MouseMove(int x, int y );
	virtual void DeleteActualMousePoint(int x, int y);
			void InitRoi(int ww, int hh, double porcentage);
			void SetRoi(int x1, int y1,int x2, int y2);
	virtual void Configure();


private:
	int	bakIdPoint;
};


#endif // manualRoiControler_h
