
#ifndef __pPlotterScaleY_h__
#define __pPlotterScaleY_h__

// ----------------------------------------------------------------------------
// WX headers inclusion.
// For compilers that support precompilation, includes <wx/wx.h>.
// ----------------------------------------------------------------------------

#include <wx/wxprec.h>
#ifdef __BORLANDC__
#pragma hdrstop
#endif
#ifndef WX_PRECOMP
#include <wx/wx.h>
#endif

//----------------------------------------------------------------------------
// Includes
//----------------------------------------------------------------------------

#include "pPlotterLayer.h"
#include "marTypes.h"

//----------------------------------------------------------------------------
// Class definition
//----------------------------------------------------------------------------
class creaMaracasVisu_EXPORT pPlotterScaleY: public pPlotterLayer
{
public:
	/**
	* Constructor of the class
	*/
	pPlotterScaleY(wxString aName = wxT("Y"),int flags = mpALIGN_NE);

	/**
	* This is how the y-axis plot itself
	*/
	virtual void Plot(wxDC& dc, mpWindow& w);
	/** Check whether this layer has a bounding box.
	This implementation returns \a FALSE thus making the ruler invisible
	to the plot layer bounding box calculation by mpWindow.
	*/
	virtual bool HasBBox() { return FALSE; }

	DECLARE_CLASS (pPlotterScaleY)
};

#endif


