#ifndef VTKIMAGEVIEWER2_XYZ_H_
#define VTKIMAGEVIEWER2_XYZ_H_


//------------------------------------------------------------------
//------------------------------------------------------------------
//------------------------------------------------------------------
#include "marTypes.h"
#include "vtkImageViewer2.h"
#include "vtkImageMapToWindowLevelColors.h"
#include "vtkColorTransferFunction.h"

class  creaMaracasVisu_EXPORT vtkImageViewer2_XYZ{
public:
	vtkImageViewer2_XYZ();
	~vtkImageViewer2_XYZ();

	void			SetExtentDimension(int x1,int x2, int y1,int y2, int z1,int z2);
	void			SetXSlice(int slice);
	void			SetYSlice(int slice);
	void			SetZSlice(int slice);
	int				GetXSlice();
	int				GetYSlice();
	int				GetZSlice();
	vtkImageViewer2 *GetVtkImageViewer2();

	void setColorTransferFunction(vtkColorTransferFunction* colortable);

private:
	int	_x1,_x2,_y1,_y2,_z1,_z2;
	vtkImageViewer2 *_vtkimageviewer2;
	vtkColorTransferFunction* _colortable;
protected:	
};


#endif /*VTKIMAGEVIEWER2_XYZ_H_*/
