#ifdef _USE_WXWIDGETS_
#ifndef __bbcreaMaracasVisuPlotterView_h_INCLUDED__
#define __bbcreaMaracasVisuPlotterView_h_INCLUDED__
#include "bbtkWxBlackBox.h"

#include "pPlotterWindow.h"

namespace bbcreaMaracasVisu
{

class /*BBTK_EXPORT*/ PlotterView
 : 
   public bbtk::WxBlackBox
{
  BBTK_BLACK_BOX_INTERFACE(PlotterView,bbtk::WxBlackBox);
	BBTK_DECLARE_INPUT(InX, std::vector<double> );
	BBTK_DECLARE_INPUT(InY, std::vector<double> );
  BBTK_PROCESS(Process);
  void Process();
  BBTK_CREATE_WIDGET(CreateWidget);
  void CreateWidget(wxWindow*);

private:
	pPlotterWindow *mwxwidget;

};

BBTK_BEGIN_DESCRIBE_BLACK_BOX(PlotterView,bbtk::WxBlackBox);
BBTK_NAME("PlotterView");
BBTK_AUTHOR("eduardo.davila [at] creatis.insa-lyon.fr");
BBTK_DESCRIPTION("Plotter Window");
BBTK_CATEGORY("viewer");
  BBTK_INPUT(PlotterView,InX,"x vector",std::vector<double>,"");
  BBTK_INPUT(PlotterView,InY,"y vector",std::vector<double>,"");
BBTK_END_DESCRIBE_BLACK_BOX(PlotterView);
}
// EO namespace bbcreaMaracasVisu

#endif // __bbcreaMaracasVisuPlotterView_h_INCLUDED__
#endif // _USE_WXWIDGETS_

