#ifndef CutModelFigureCube_H_
#define CutModelFigureCube_H_

#include "CutModelFigure.h"
#include "vtkCubeSource.h"

class CutModelFigureCube : public CutModelFigure
{
public:
	CutModelFigureCube();
	virtual ~CutModelFigureCube();
	virtual bool	IfPointInside(double x, double y, double z);
	virtual double	GetTheoricVolume();		
	virtual vtkPolyData* getPolyData();
	virtual const char *GetName();
private:
	vtkCubeSource* _vtkcube;
protected:
};

#endif /*FIGURECUTTINGCUBEMODEL_H_*/
