#ifndef manualContourModelRotationTool_h
#define manualContourModelRotationTool_h

#include "manualContourModel.h"
#include "manualContourModelCircle.h"
#include "manualContourModelLine.h"
class creaMaracasVisu_EXPORT manualContourModelRotationTool : public manualContourModel
{
public:
	manualContourModelRotationTool();
	virtual ~manualContourModelRotationTool();
	virtual manualContourModelRotationTool *Clone();
	void CopyAttributesTo( manualContourModelRotationTool *cloneObject);
	virtual void GetSpline_i_Point(int i, double *x, double *y, double *z);
	double getRadio();
	double getAngle();
	std::vector<double> getCenter();

private:
	double		_deltaAngle;
	double		_radio;
	double		_centerX;
	double		_centerY;
	double		_centerZ;
	double		_angle;

	virtual int		GetTypeModel();
	virtual void	UpdateSpline();
};

#endif // manualContourModelCircle_h
