#ifndef manualViewBullEye_h
#define manualViewBullEye_h

#include "manualViewRoi.h"
#include "manualViewBullEyeSector.h"
#include "manualContourModelBullEye.h"

// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
//EED004
class creaMaracasVisu_EXPORT manualViewBullEye: public manualViewRoi
{
public:
	manualViewBullEye();
	virtual ~manualViewBullEye();

	virtual int GetType();
	virtual manualViewBullEye * Clone();
	void CopyAttributesTo( manualViewBullEye *cloneObject );

//	void UpdateColorActorBullEye();
//	void DeleteVtkObjectsBullEye();
	virtual void RemoveSplineActor();
	virtual void AddSplineActor();
	virtual void ConstructVTKObjects();
	virtual void RefreshContour(); 

private:

/*EED Borrame
	std::vector<sectorBullEye* > lstSectorBullEye;
*/

	std::vector<manualViewBaseContour* > lstSectorBullEye;
	
};


#endif // manualViewBullEye_h
