
#include "vtkInteractorScrollZ.h"
#include "wxVtk2DBaseView.h"
//---------------------------------------------------------------------------
//---------------------------------------------------------------------------
//---------------------------------------------------------------------------

vtkInteractorScrollZ::vtkInteractorScrollZ()
{
	_stateFordware=false;
}
//---------------------------------------------------------------------------
vtkInteractorScrollZ::~vtkInteractorScrollZ()
{
}
//---------------------------------------------------------------------------
bool vtkInteractorScrollZ::OnRightButtonDown()
{    
	vtkRenderWindowInteractor *interactor = _vtkInteractorStyleBaseView->GetInteractor();
	if ((interactor->GetControlKey()==0) && (interactor->GetShiftKey()==0) ){
		_stateFordware	= true;
		_fordwareX 	= interactor->GetEventPosition()[0];
		_fordwareY 	= interactor->GetEventPosition()[1];
		/*JCP 14/05/2009
		_sliceZ 	= _vtkInteractorStyleBaseView->GetWxVtk2DBaseView()->GetActualSlice();
		*/
		_sliceZ 	= ((wxVtk2DBaseView*)_vtkInteractorStyleBaseView->GetWxVtk2DBaseView())->GetActualSlice();
	}
	return true;
}
//---------------------------------------------------------------------------
bool vtkInteractorScrollZ::OnRightButtonUp() 
{
	_stateFordware=false;
	return true;
}
//---------------------------------------------------------------------------
bool vtkInteractorScrollZ::OnMouseMove () 
{
	if (_stateFordware==true){
	    //int fx = _vtkInteractorStyleBaseView->GetInteractor()->GetEventPosition()[0];  // JPRx
        int fy = _vtkInteractorStyleBaseView->GetInteractor()->GetEventPosition()[1];
		int delta = (_fordwareY - fy)/3;
		/*JCP 14/05/2009
		_vtkInteractorStyleBaseView->GetWxVtk2DBaseView()->SetActualSlice( _sliceZ + delta);
		*/
		((wxVtk2DBaseView*)_vtkInteractorStyleBaseView->GetWxVtk2DBaseView())->SetActualSlice( _sliceZ + delta);

		this->_vtkInteractorStyleBaseView->SetParent_refresh_waiting();

	//	wxCommandEvent newevent(wxEVT_COMMAND_MENU_SELECTED,12121);
	//	_vtkInteractorStyleBaseView->GetWxVtk2DBaseView()->GetWxVTKRenderWindowInteractor()->GetParent()->ProcessEvent(newevent);

		//_wxvtk2Dbaseview->Refresh();
	} 
	return true;
}



