#ifndef VTKINTERACTORSTYLE3DVIEW_H_
#define VTKINTERACTORSTYLE3DVIEW_H_

#include "InteractorStyleMaracas.h"
#include "wxVtkMPR3DView.h"
#include "wxVtkClipping3DView.h"

class vtkInteractorStyle3DView : public InteractorStyleMaracas
{
public:
	vtkInteractorStyle3DView();
	~vtkInteractorStyle3DView();

	virtual bool			OnLeftDClick();
	bool					SelectMarchibCubePoint();


	wxVtkMPR3DView			*GetWxVtkMPR3DView();
	void					SetWxVtkMPR3DView( wxVtkMPR3DView *wxvtkmpr3Dview );

	wxVtkClipping3DView		*GetWxVtkClipping3DView();
	void					SetWxVtkClipping3DView( wxVtkClipping3DView *wxvtkclipping3Dview);

protected:
private:
	wxVtkMPR3DView			*_wxvtkmpr3Dview;
	wxVtkClipping3DView		*_wxvtkclipping3Dview;
};


#endif /*VTKINTERACTORSTYLE3DVIEW_H_*/
