#ifndef WXVTKCLIPPING3DVIEW_H_
#define WXVTKCLIPPING3DVIEW_H_

#include "vtkClipping3DDataViewer.h"
#include "wxVtk3DBaseView.h"
#include "wx/wx.h"
#include "vtkBoxWidget.h"
//#include "wxVtkClipping3DViewCntrlPanel.h"
//class wxVtkClipping3DViewCntrlPanel;

class wxVtkClipping3DView
{
public:
	wxVtkClipping3DView( wxVtk3DBaseView* wxvtk3Dbaseview );
	virtual ~wxVtkClipping3DView();
	virtual void				Refresh();
	virtual void				Configure();
	void						SetVtkClipping3DDataViewer( vtkClipping3DDataViewer *vtkclipping3Ddataviewer );

	wxPanel*					CreateSurfControlPanel(wxWindow *parent);
	wxPanel*					CreateVolControlPanel(wxWindow *parent);
	
	vtkClipping3DDataViewer*	GetVtkClipping3DDataViewer();

	void						VisibleActor(int idTissue, bool visTissue);
	void						VisibleVolumeActor( bool visVolume );
	void						SetVisibleBoxSurface(bool visible);
	void						SetVisibleBoxVolume(bool visible);
	void						SetRepSurfaceWireFrame(int idTissue , bool typeRepresentation );

	wxVtk3DBaseView*			GetWxvtk3Dbaseview()throw(char*);

private:
	wxVtk3DBaseView					*_wxvtk3Dbaseview;
	vtkClipping3DDataViewer			*_vtkclipping3Ddataviewer;
	vtkBoxWidget					*_boxWidgetS1;
	vtkBoxWidget					*_boxWidgetVolume;
	wxPanel							*_wxvtkclipping3DviewCntrlPanel;
	wxPanel							*_wxvtkclipping3DviewVolCntrlPanel;
protected:
};

#endif /*WXVTKCLIPPING3DVIEW_H_*/
